.hover-revealer .hide-on-hover {
    pointer-events: auto;
    opacity: 1;
    transition: opacity .33s ease-in-out;
    -moz-transition: opacity .33s ease-in-out;
    -webkit-transition: opacity .33s ease-in-out;
}

.hover-revealer .show-on-hover{
    pointer-events: auto;
    opacity: 0;
    transition: opacity .33s ease-in-out;
    -moz-transition: opacity .33s ease-in-out;
    -webkit-transition: opacity .33s ease-in-out;
}

.hover-revealer:hover .show-on-hover{
    opacity: 1.0;
    transition: opacity .33s ease-in-out;
    -moz-transition: opacity .33s ease-in-out;
    -webkit-transition: opacity .33s ease-in-out;
}

.hover-revealer:hover .hide-on-hover {
    opacity: 0;
    transition: opacity .33s ease-in-out;
    -moz-transition: opacity .33s ease-in-out;
    -webkit-transition: opacity .33s ease-in-out;
}